Bug 124267 - [New port] chinese/fqterm: a Chinese BBS client
Summary: [New port] chinese/fqterm: a Chinese BBS client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-04 13:40 UTC by darcsis
Modified: 2008-07-05 06:30 UTC (History)
0 users

See Also:


Attachments
file.shar (13.29 KB, text/plain)
2008-06-04 13:40 UTC, darcsis
no flags Details
fqterm.shar (13.33 KB, application/octet-stream)
2008-06-21 02:10 UTC, darcsis
no flags Details
fqterm.shar (13.33 KB, application/octet-stream)
2008-06-21 02:14 UTC, darcsis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description darcsis 2008-06-04 13:40:03 UTC
FQterm is a BBS client based on Qt4 libraries, supports
Simplified and Traditional Chinese BBSs, and with full
SSH2 support.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-06-18 13:54:40 UTC
State Changed
From-To: open->feedback

I get this when I try to compile it: 

-- Looking for Q_WS_MAC 
-- Looking for Q_WS_MAC - not found. 
-- Found Qt-Version 4.3.4 
-- Found OpenSSL: /usr/lib/libssl.so 
CMake Error: The following variables are used in this project, but they are set to NOTFOUND. 
Please set them or make sure they are set and tested correctly in the CMake files: 
QT_QTSCRIPT_INCLUDE_DIR (ADVANCED) 
used as include directory in directory /var/ports/root/cvs/ports/NEW/fqterm/work/fqterm/src/fqterm 

-- Configuring done 
*** Error code 1 


Any suggestions?
Comment 2 darcsis 2008-06-21 02:10:17 UTC
Thank you for checking it out!
Comment 3 Edwin Groothuis freebsd_committer 2008-07-05 02:21:34 UTC
State Changed
From-To: feedback->open

Feedback given.
Comment 4 Edwin Groothuis freebsd_committer 2008-07-05 06:28:34 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter service freebsd_committer 2008-07-05 06:28:39 UTC
edwin       2008-07-05 05:28:30 UTC

  FreeBSD ports repository

  Modified files:
    chinese              Makefile 
  Added files:
    chinese/fqterm       Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
    chinese/fqterm/files fqterm.desktop.in 
                         patch-CMakeLists.txt.linux 
                         patch-cmake_FindQt4.cmake 
                         patch-src_ui-fqterm_tool_button.h 
                         patch-src_ui-popwidget.cpp 
                         pkg-deinstall.in pkg-install.in 
  Log:
  [New port] chinese/fqterm: a Chinese BBS client
  
          FQterm is a BBS client based on Qt4 libraries, supports
          Simplified and Traditional Chinese BBSs, and with full
          SSH2 support.
  
  PR:             ports/124267
  Submitted by:   "Denise H. G." <darcsis@gmail.com>
  
  Revision  Changes    Path
  1.265     +1 -0      ports/chinese/Makefile
  1.1       +63 -0     ports/chinese/fqterm/Makefile (new)
  1.1       +3 -0      ports/chinese/fqterm/distinfo (new)
  1.1       +13 -0     ports/chinese/fqterm/files/fqterm.desktop.in (new)
  1.1       +37 -0     ports/chinese/fqterm/files/patch-CMakeLists.txt.linux (new)
  1.1       +11 -0     ports/chinese/fqterm/files/patch-cmake_FindQt4.cmake (new)
  1.1       +11 -0     ports/chinese/fqterm/files/patch-src_ui-fqterm_tool_button.h (new)
  1.1       +21 -0     ports/chinese/fqterm/files/patch-src_ui-popwidget.cpp (new)
  1.1       +28 -0     ports/chinese/fqterm/files/pkg-deinstall.in (new)
  1.1       +26 -0     ports/chinese/fqterm/files/pkg-install.in (new)
  1.1       +5 -0      ports/chinese/fqterm/pkg-descr (new)
  1.1       +6 -0      ports/chinese/fqterm/pkg-message (new)
  1.1       +129 -0    ports/chinese/fqterm/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"